Loading...
Searching...
No Matches
Dune::MathematicalConstants< Field > Struct Template Reference

Provides commonly used mathematical constants. More...

`#include <dune/common/math.hh>`

Inheritance diagram for Dune::MathematicalConstants< Field >:

## Static Public Member Functions

static const Field | e ()
| Euler's number.
static const Field | pi ()
| Archimedes' constant.

## Detailed Description

template<class Field>
struct Dune::MathematicalConstants< Field >

Provides commonly used mathematical constants.

a struct that is specialized for types representing real or complex numbers. It provides commonly used mathematical constants with the required accuracy for the specified type.

## Member Function Documentation

## e()

const Field Dune::StandardMathematicalConstants< Field >::e | ( |  | ) |

inline static inherited

Euler's number.

## pi()

const Field Dune::StandardMathematicalConstants< Field >::pi | ( |  | ) |

inline static inherited

Archimedes' constant.

The documentation for this struct was generated from the following file:

- math.hh